### A free/open-source library for quantitative finance

Public Member Functions
BFGS Class Reference

Broyden-Fletcher-Goldfarb-Shanno algorithm. More...

`#include <ql/math/optimization/bfgs.hpp>`

Inherits LineSearchBasedMethod.

List of all members.

## Public Member Functions

| BFGS (const boost::shared_ptr< LineSearch > &lineSearch=boost::shared_ptr< LineSearch >())

## Detailed Description

Broyden-Fletcher-Goldfarb-Shanno algorithm.

See <http://en.wikipedia.org/wiki/BFGS_method>.

Adapted from Numerical Recipes in C, 2nd edition.

User has to provide line-search method and optimization end criteria.